<ng-container *ngIf="!loading">
    <div class="animated fadeIn">
        <div class="mb-1">
            <button class="btn btn-success px-4 py-2" (click)="aceptar()"
                [disabled]="!selectedRow || !selected">
                <i class="fas fa-check mr-2"></i>Aceptar
            </button>
            <strong class="ml-2 text-muted" *ngIf="reserva && reserva.secuencia">
                <span>Secuencia {{ reserva.secuencia.rsecuencia }}</span>
            </strong>
        </div>
        <kendo-grid [kendoGridBinding]="dataGrid.ttTmptar" [selectable]="true" [filterable]="true" [navigable]="true"
            [sort]="sort" [sortable]="true" (selectionChange)="selectRow($event)" style="height:66vh;" (dblclick)="aceptar()">
            <kendo-grid-column field="ttarifa" title="Tarifa" width="135">
                <ng-template kendoGridCellTemplate let-dataItem>
                    <div [ngClass]="{'bg-warning': tarifa === dataItem.ttarifa }">{{ dataItem.ttarifa }}</div>
                </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="tdesc" title="Descripción" width="280" class="bold"></kendo-grid-column>
            <kendo-grid-column field="ttt" title="Tipo" width="70" [filterable]="false"></kendo-grid-column>
            <kendo-grid-column field="tmoneda" title="Mon." width="70" [filterable]="false"></kendo-grid-column>
            <kendo-grid-column field="ttsup" title="Suplementos" width="130" [filterable]="false"
                class="text-right text-primary">
                <ng-template kendoGridCellTemplate let-dataItem>
                    {{ dataItem.ttsup | currency: 'MXN' }}
                </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="ttotal" title="Tarifa Global" width="130" [filterable]="false"
                class="text-right text-primary">
                <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.ttotal | currency: 'MXN' }}
                </ng-template>
            </kendo-grid-column>
            <ng-template kendoGridDetailTemplate let-dataItem>
                <app-help-detailrates [selected]="dataItem" [detalle]="dataGrid.ttTmpdia"></app-help-detailrates>
            </ng-template>
        </kendo-grid>
    </div>
</ng-container>

<app-loading *ngIf="loading"></app-loading>